NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.FacePlaneSelectionBuilder Class Reference

Represents a NXOpen.GeometricUtilities.FacePlaneSelectionBuilder More...

Inheritance diagram for NXOpen.GeometricUtilities.FacePlaneSelectionBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  TrimObjectType { Plane, Face, Edge }
 Specifies the object type for blend endcap objects. More...
 

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool IsOk [get, set]
 Returns or sets the data OK flag More...
 
unsafe bool LimitTopolSwitchFinFlag [get, set]
 Returns or sets the limit edge switch fin flag More...
 
unsafe NXOpen.Point PlaneHelpPoint [get, set]
 Returns or sets the user plane cap help point More...
 
unsafe NXOpen.ScCollector SelectEdge [get]
 Returns the select limit edge More...
 
unsafe
NXOpen.GeometricUtilities.FaceSetData 
SelectFace [get]
 Returns the select face More...
 
unsafe NXOpen.Plane SelectPlane [get, set]
 Returns or sets the select plane More...
 
unsafe
NXOpen.GeometricUtilities.FacePlaneSelectionBuilder.TrimObjectType 
TrimObject [get, set]
 Returns or sets the trim object More...
 
unsafe bool UseFaceCapBlend [get, set]
 Returns or sets the use face cap blend flag More...
 
unsafe bool UsePlaneCapBlend [get, set]
 Returns or sets the use plane cap blend More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.GeometricUtilities.FacePlaneSelectionBuilder

Created in NX6.0.0

Member Enumeration Documentation

Specifies the object type for blend endcap objects.

Enumerator
Plane 

plane end cap

Face 

face end cap

Edge 

edge limit cap

Member Function Documentation

unsafe bool NXOpen.GeometricUtilities.FacePlaneSelectionBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe bool NXOpen.GeometricUtilities.FacePlaneSelectionBuilder.IsOk
getset

Returns or sets the data OK flag

Created in NX7.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.GeometricUtilities.FacePlaneSelectionBuilder.LimitTopolSwitchFinFlag
getset

Returns or sets the limit edge switch fin flag

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.GeometricUtilities.FacePlaneSelectionBuilder.PlaneHelpPoint
getset

Returns or sets the user plane cap help point

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.GeometricUtilities.FacePlaneSelectionBuilder.SelectEdge
get

Returns the select limit edge

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.FaceSetData NXOpen.GeometricUtilities.FacePlaneSelectionBuilder.SelectFace
get

Returns the select face

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Plane NXOpen.GeometricUtilities.FacePlaneSelectionBuilder.SelectPlane
getset

Returns or sets the select plane

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.FacePlaneSelectionBuilder.TrimObjectType NXOpen.GeometricUtilities.FacePlaneSelectionBuilder.TrimObject
getset

Returns or sets the trim object

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.GeometricUtilities.FacePlaneSelectionBuilder.UseFaceCapBlend
getset

Returns or sets the use face cap blend flag

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.GeometricUtilities.FacePlaneSelectionBuilder.UsePlaneCapBlend
getset

Returns or sets the use plane cap blend

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.